CropSense

Search documentation

Search for a command to run...

API Reference

Field Satellite Data

Satellite imagery and vegetation health indices per field.

get/satellite-images/field/{field_id}

Get satellite images data by field id

Requires an Authorization: Bearer header.

Parameters

field_idstringpathrequired

Response 200

imagesSatelliteImageData[]required
totalintegerrequired
GET /satellite-images/field/{field_id}
curl -X GET "https://api.cropsense.africa/satellite-images/field/8b6e1a2f-2d4c-4e9a-9b0f-1c7d3e5a6f42" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN"
Example response · 200
{
  "images": [
    {
      "image_id": "image_id",
      "farm_id": "3fa2c9e1-6b3a-4d2e-9c11-4a8e5f9d2b7a",
      "field_id": "8b6e1a2f-2d4c-4e9a-9b0f-1c7d3e5a6f42",
      "field_name": "field_name",
      "captured_at": "2026-06-15T09:30:00Z",
      "cloud_coverage_pct": 1.5,
      "health_indices": {},
      "evaluation_metrics": {},
      "recommendations": {},
      "record_metadata": {},
      "data_source": "sentinel_2",
      "is_active": true,
      "created_at": "2026-06-15T09:30:00Z",
      "updated_at": "2026-06-15T09:30:00Z"
    }
  ],
  "total": 1
}
get/satellite-images/field/{field_id}/latest

Get latest satellite image by field id

Requires an Authorization: Bearer header.

Parameters

field_idstringpathrequired

Response 200

image_idstringrequired
farm_idstringrequired
field_idstringrequired
field_namestringrequired
captured_atstring<date-time>required
cloud_coverage_pctnumberrequired
health_indicesobjectrequired
evaluation_metricsobjectoptional
recommendationsobjectoptional
record_metadataobjectoptional
data_sourceenum<string>required
is_activebooleanrequired
created_atstring<date-time>required
updated_atstring<date-time>required
GET /satellite-images/field/{field_id}/latest
curl -X GET "https://api.cropsense.africa/satellite-images/field/8b6e1a2f-2d4c-4e9a-9b0f-1c7d3e5a6f42/latest" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN"
Example response · 200
{
  "image_id": "image_id",
  "farm_id": "3fa2c9e1-6b3a-4d2e-9c11-4a8e5f9d2b7a",
  "field_id": "8b6e1a2f-2d4c-4e9a-9b0f-1c7d3e5a6f42",
  "field_name": "field_name",
  "captured_at": "2026-06-15T09:30:00Z",
  "cloud_coverage_pct": 1.5,
  "health_indices": {},
  "evaluation_metrics": {},
  "recommendations": {},
  "record_metadata": {},
  "data_source": "sentinel_2",
  "is_active": true,
  "created_at": "2026-06-15T09:30:00Z",
  "updated_at": "2026-06-15T09:30:00Z"
}
get/satellite-images/historical-health-indices/{field_id}

Get historical health indices by field id

Requires an Authorization: Bearer header.

Parameters

field_idstringpathrequired

Response 200

indicesSatelliteImageDataHealthIndices[]required
totalintegerrequired
GET /satellite-images/historical-health-indices/{field_id}
curl -X GET "https://api.cropsense.africa/satellite-images/historical-health-indices/8b6e1a2f-2d4c-4e9a-9b0f-1c7d3e5a6f42" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN"
Example response · 200
{
  "indices": [
    {
      "date": "2026-06-15T09:30:00Z",
      "image_id": "image_id",
      "captured_at": "2026-06-15T09:30:00Z",
      "cloud_coverage_pct": 1.5,
      "ndvi": 1.5,
      "gndvi": 1.5,
      "msavi2": 1.5,
      "evi": 1.5,
      "ndwi": 1.5,
      "ndmi": 1.5,
      "ndre": 1.5,
      "gci": 1.5,
      "health_score": 1.5,
      "stress_level": 1.5,
      "yield_prediction": 1.5,
      "environmental_risk_score": 1.5,
      "soil_fertility_rating": "soil_fertility_rating",
      "recommendations": {}
    }
  ],
  "total": 1
}